Cursos Servidores con Centos 6
Sistema Operativo ALDOS
Dezoft

Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Programas y Aplicaciones Nuevo tema Publicar Respuesta
 No puedo instala VLC en Fedora 16
Tema anterior Tema siguiente
   
TuxTux
Publicado en 24/08/12 04:52 (Leído 1463 veces)  

Miembro regular
Forum User

Inscrito: 17/08/11 Publicaciones: 109
Buenas noches resulta que instalé unas actualizaciones de Fedora 16 y al querer instalar el VLC me decía que habían algunos archivos duplicados, los borre manualmente y ahora cuando quiero instalar el VLC no me lo permite me muestra el siguiente error.

PHP Formatted Code


---> Package lzo-minilzo.i686 0:2.06-1.fc16 will be installed
--> Finished Dependency Resolution
Error: Package: vlc-2.0.3-3.fc16.i686 (atrpms)
           Requires: libavcodec.so.53
           Available: ffmpeg-libs-0.8.5-2.fc16.i686 (rpmfusion-free)
               libavcodec.so.53
           Available: ffmpeg-libs-0.8.12-1.fc16.i686 (rpmfusion-free-updates)
               libavcodec.so.53
           Available: libavcodec53-0.8.10-53.fc16.i686 (atrpms)
               libavcodec.so.53
           Available: libavcodec53-0.9.1-54.fc16.i686 (atrpms)
               libavcodec.so.53
           Available: libavcodec53-0.10.2-54.fc16.i686 (atrpms)
               libavcodec.so.53
Error: Package: vlc-2.0.3-3.fc16.i686 (atrpms)
           Requires: libavcodec.so.53(LIBAVCODEC_53)
           Available: ffmpeg-libs-0.8.5-2.fc16.i686 (rpmfusion-free)
               libavcodec.so.53(LIBAVCODEC_53)
           Available: ffmpeg-libs-0.8.12-1.fc16.i686 (rpmfusion-free-updates)
               libavcodec.so.53(LIBAVCODEC_53)
           Available: libavcodec53-0.8.10-53.fc16.i686 (atrpms)
               libavcodec.so.53(LIBAVCODEC_53)
           Available: libavcodec53-0.9.1-54.fc16.i686 (atrpms)
               libavcodec.so.53(LIBAVCODEC_53)
           Available: libavcodec53-0.10.2-54.fc16.i686 (atrpms)
               libavcodec.so.53(LIBAVCODEC_53)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
 


Estas librerias elimine
PHP Formatted Code

  251  yum remove libcurl-7.21.7-5.fc16.i686
  252  yum remove expat-2.0.1-11.fc15.i686
  253  yum remove freetype-2.4.6-3.fc16.i686
  254  yum remove libcurl-7.21.7-5.fc16.i686
  255  yum remove pam-1.1.4-4.fc16.i686
  256  yum remove  rpm-4.9.1.2-1.fc16.i686
  257  yum remove rpm-build-libs-4.9.1.2-1.fc16.i686
  258  yum remove xkeyboard-config-2.3-2.fc16.noarch
 

pero si estan instaladas, estaban duplicadas y elimine las más antiguas.

¿Alguna idea de como resolver este problema?
Gracias de antemano, Saludos!!
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 24/08/12 03:24  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1724
País:Mexico
Todo indica que pudiera haber un problema de paquetes faltantes en los almacenes yum de ATRpms (algo que se me haría muy raro que ocurra) o bien tienes más paquetes duplicados que te impiden actualizar, producto tal vez de una proceso de actualización interrumpido.

Por favor, ejecuta:

PHP Formatted Code
yum check


Publica la salida de lo anterior.

Pudiera ser que se resuelvan tus problemas ejecutando:

PHP Formatted Code
yum-complete-transaction
 
Perfil Sitio Web
 Citar
TuxTux
Publicado en 24/08/12 03:47  

Miembro regular
Forum User

Inscrito: 17/08/11 Publicaciones: 109
Gracias por responder!

yum check da el siguiente resultado:
PHP Formatted Code

[root@skyusa skyusa]# yum check
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
check all
 


y el yum-complete-transaction no resolvio el problema!

PHP Formatted Code

[root@skyusa skyusa]# yum-complete-transaction
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
updates/metalink                                         |  15 kB     00:01    
 * fedora: mirror.nexcess.net
 * livna: rpm.livna.org
 * rpmfusion-free: mirror.web-ster.com
 * rpmfusion-free-updates: mirror.web-ster.com
 * rpmfusion-nonfree: mirror.web-ster.com
 * rpmfusion-nonfree-updates: mirror.web-ster.com
 * updates: mirror.nexcess.net
adobe-linux-i386                                         |  951 B     00:00    
atrpms                                                   | 3.5 kB     00:00    
fedora-chromium-stable                                   | 3.4 kB     00:00    
google-chrome                                                                                                                 |  951 B     00:00 ...
livna                                                                                                                         | 3.6 kB     00:00    
rpmfusion-free-updates                                                                                                        | 3.3 kB     00:01    
rpmfusion-nonfree-updates                                                                                                     | 3.3 kB     00:00    
There are 1 outstanding transactions to complete. Finishing the most recent one
The remaining transaction had 123 elements left to run
Package 2:libpng-1.2.49-1.fc16.i686 already installed and latest version
Package libgusb-0.1.3-1.fc16.i686 already installed and latest version
Package libtasn1-2.12-1.fc16.i686 already installed and latest version
Package json-c-0.9-2.fc15.i686 already installed and latest version
Package rest-0.7.12-1.fc16.i686 already installed and latest version
Package libsocialweb-keys-0.25.20-1.fc16.noarch already installed and latest version
Package libsocialweb-0.25.20-1.fc16.i686 already installed and latest version
Package icedtea-web-1.2-1.fc16.i686 already installed and latest version
Package rpm-python-4.9.1.3-1.fc16.i686 already installed and latest version
Package raptor2-2.0.7-1.fc16.i686 already installed and latest version
Package 1:grub2-1.99-13.fc16.3.i686 already installed and latest version
Package usbmuxd-1.0.7-3.fc16.i686 already installed and latest version
Package taglib-1.7.2-1.fc16.i686 already installed and latest version
Package libicu-4.6-4.fc16.i686 already installed and latest version
Package jasper-libs-1.900.1-18.fc16.i686 already installed and latest version
Package 1:libvorbis-1.3.3-1.fc16.i686 already installed and latest version
Nothing in the unfinished transaction to cleanup.
Cleaning up completed transaction file
 



¿Alguna idea?
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 24/08/12 09:19  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1724
País:Mexico
Ya resolví cual es tu problema.

Tienes habilitado los almacenes yum de RPMFusion y ATrpms. Ambos son incompatibles entre si. O bien usas uno o usas el otro, nunca ambos. Lo que veo como problema ahora es que tienes una mezcla de paquetes de ambos almacenes. Para medio limpiar el desastre, realiza lo siguiente:

Desactiva uno de los dos almacenes (te recomiendo usar sólo RPMFusion).

Elimina cuando menos ffmpeg-libs, libquicktime, x264-libs y xvidcore

PHP Formatted Code
yum remove ffmpeg-libs libquicktime x264-libs xvidcore


Lo anterior te va a desinstalar muchos paquetes. Tendrás que reinstalarlos después.

Al terminar:

PHP Formatted Code
yum -y install vlc
 
Perfil Sitio Web
 Citar
TuxTux
Publicado en 25/08/12 12:58  

Miembro regular
Forum User

Inscrito: 17/08/11 Publicaciones: 109
No encuntra los paquetes.

PHP Formatted Code

[root@skyusa skyusa]# yum remove ffmpeg-libs libquicktime x264-libs xvidcore
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
No Match for argument: ffmpeg-libs
No Match for argument: libquicktime
No Match for argument: x264-libs
No Match for argument: xvidcore
No Packages marked for removal
 


¿Alguna otra idea de donde este el problema?
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 25/08/12 03:48  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1724
País:Mexico
Entonces, simplemente instala vlc, ya sin ATrpms activo.
 
Perfil Sitio Web
 Citar
TuxTux
Publicado en 27/08/12 03:56  

Miembro regular
Forum User

Inscrito: 17/08/11 Publicaciones: 109
Si lo intenté, pero me sigue marcando el mismo error
¿Alguna idea?
 
Perfil
 Citar
Contenido generado en: 0,97 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 05:45 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado